| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Functions
std Namespace Reference

## Functions
template<typename T >
void | swap (Ogre::SmallVectorImpl< T > &LHS, Ogre::SmallVectorImpl< T > &RHS)
| Implement std::swap in terms of SmallVector swap. More...
template<typename T , unsigned N>
void | swap (Ogre::SmallVector< T, N > &LHS, Ogre::SmallVector< T, N > &RHS)
| Implement std::swap in terms of SmallVector swap. More...

## Function Documentation

## ◆ swap() [1/2]

template<typename T >

void std::swap | ( | Ogre::SmallVectorImpl< T > & | LHS,
|  | Ogre::SmallVectorImpl< T > & | RHS
| ) |  |
| inline

Implement std::swap in terms of SmallVector swap.

References Ogre::SmallVectorImpl< T >::swap().

Referenced by Ogre::Any::swap(), Ogre::UserObjectBindings::swap(), Ogre::Quaternion::swap(), Ogre::DualQuaternion::swap(), and Ogre::SmallVectorImpl< Triangle * >::swap().

## ◆ swap() [2/2]

template<typename T , unsigned N>

void std::swap | ( | Ogre::SmallVector< T, N > & | LHS,
|  | Ogre::SmallVector< T, N > & | RHS
| ) |  |
| inline

Implement std::swap in terms of SmallVector swap.

References Ogre::SmallVectorImpl< T >::swap().